package constant

import "github.com/go-sql-driver/mysql"

var (
	// ErrorMysqlDuplicateEntryCode 命中唯一索引
	ErrorMysqlDuplicateEntryCode = 1062
)

// MysqlErrorCode 根据mysql错误信息返回错误代码
func MysqlErrorCode(err error) int {
	mysqlErr, ok := err.(*mysql.MySQLError)
	if !ok {
		return 0
	}
	return int(mysqlErr.Number)
}
